search (p_p_item -w result, p_item list, p_item sample_item)
   for (p_p_item : p_p_product_item, p_p_transported_item; p_item : p_product_item, p_transported_item)
 where (result :: *)                                 
{
  ...
}
